Skip to main content
`Ctrl`+`K`

# delay_doc_updates

astropy.io.registry.delay_doc_updates(cls)

  Contextmanager to disable documentation updates when registering reader and writer. The documentation is only built once when the contextmanager exits.

  Added in version 1.3.

  Parameters:
    cls class

      Class for which the documentation updates should be delayed.

  Notes

  Registering multiple readers and writers can cause significant overhead because the documentation of the corresponding `read` and `write` methods are build every time.

  This context manager has no effect when running Python in optimized mode (-OO CLI flag).

  Examples

  see for example the source code of `astropy.table.__init__`.